Bug 418301 - Realplayer10 no longer works after upgrade to F8
Realplayer10 no longer works after upgrade to F8
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-10 11:25 EST by David W. Legg
Modified: 2008-06-11 11:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-11 11:27:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David W. Legg 2007-12-10 11:25:04 EST
Description of problem:

Version-Release number of selected component (if applicable):
kernel 2.6.23

How reproducible:

Steps to Reproduce:
1. Boot and login under kde or gnome.
2. Go to BBC web site and attempt to play .ram file (streamed).
3. Select Realplayer to play stream.
Actual results:
Realplayer plays video but no sound.

Expected results:
Realplayer should play video and sound, just like it does on FC5, FC6 and FC7.

Additional info:
I know that Realplayer is nasty closed source proprietary software, but a) half
the World uses it to look at news video etc on the BBC web site (because the BBC
hasn't heard of open standards etc.), and b) it used to work on FC5/6/7.

I have heard that OSS is no longer the default sound system on F8, and also that
Realplayer uses OSS (because it is somewhat ancient.)

If some-one knows a work-around it would be useful to all those F8 users who
want to look at video from the BBC web site. Thanks.
Comment 1 David W. Legg 2007-12-10 13:31:14 EST
Have tried adding 'audio_driver=oss' to kernel boot line in /etc/grub.conf, but
no sound.
Comment 2 David W. Legg 2007-12-12 04:12:45 EST
Have changed the severity of this bug to medium because there is no way around
this bug, and because so many people use the bbc web sites:
Comment 3 David W. Legg 2008-06-11 04:38:41 EDT
Suggest people use RealPlayer11GOLD now that it is available:

yum --nogpgcheck localinstall realplayer11gold.rpm (or whatever the file is called)

Suggest closing this bug now.

Note You need to log in before you can comment on or make changes to this bug.